# Troubleshooting and error handling

The Make API uses standard HTTP error codes in combination with custom Make error codes.

In general:

* a response status code `2xx` means succesfull request
* a response status code `4xx` means error on the client side
* a response status code `5xx` means error on the server side (internal error in Make)

For more information, check detailed overview of error types and their possible causes in the [dedicated section](/api-documentation/troubleshooting/http-status-codes.md).

For general troubleshooting tips, check out the [Troubleshooting](/api-documentation/troubleshooting/common-issues.md) section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/troubleshooting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
